We recently upgraded the server to a new Debian version (bullseye) and chose to upgrade prosody and its modules to the latest version too. Amongst other, we added the HTTPS upload, more features to multi-user chat (vcard & memory of offline messages), admin contact etc.

Thanks to that, our compliance to XMPP standard went up to 80%,

We also changed our certificate provider from Letsencrypt to ZeroSSL, the latest being more compatible with older computers.

Our SSL compliance is also at its maximum, your security being very important to us.